kfreebsd-10 (10.3~svn297264-1~debug1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RELEASE
  * Simplify the procedure to enable debug builds in debian/rules,
    enabled by putting ~debug in the Version field
  * Simplify the procedure to build with non-free drivers and blobs,
    enabled by putting +nonfree or +sourceless in the Version field
    (Thanks, Jon Boden, for the original patch this is based on)
    (Closes: #820151)
  * Relocate /lib/modules/ into /boot/, so that GRUB can load kernel
    modules even if /lib is on an unsupported or encrypted filesystem

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 10 Apr 2016 14:57:50 +0100

kfreebsd-10 (10.3~svn296998-2) experimental; urgency=medium

  [ Steven Chamberlain ]
  * Experimentally build all arches with GCC for now (Closes: #813727)
  * Disable Stack Smashing Protection when building with GCC
    (see #819754)
  * Prevent improper #include of mm_malloc.h by GCC headers

  [ Christoph Egger ]
  * Also install zlib lintian override for zfs.ko

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 01 Apr 2016 22:24:32 +0100

kfreebsd-10 (10.3~svn296998-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC3:
    - SA-16:15: Fix incorrect argument validation in sysarch(2).
      (CVE-2016-1885) (Closes: #818426)
  * Amend svn_revision regex to support local suffixes
    (Thanks, Jon Boden) (Closes: #818700)
  * On arches that don't use Clang, Build-Depend on gcc-5
    rather than gcc-4.9 (Closes: #818777)

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 19 Mar 2016 20:49:47 +0000

kfreebsd-10 (10.3~svn296373-2) experimental; urgency=medium

  * Directly declare Build-Depends: freebsd-mk (>= 10.3~), since
    freebsd-glue dropped this build-dependency, and new MK knobs in
    10.3 are needed.
  * Re-enable debugging options:
    - 999_config.diff
  * Enable redzone(9) heap-smashing detection for debug builds only.
  * Enable Stack-Smashing Protection (disable it only when building the
    aic7xxx firmware toolchain).

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 11 Mar 2016 11:39:19 +0000

kfreebsd-10 (10.3~svn296373-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC1
  * Make get-orig-source tarball reproducible
  * Replace BUILD_DATE with SOURCE_DATE_EPOCH
  * Refresh patches:
    - userland.diff
    - 004_xargs.diff
    - 902_version.diff
    - 904_dev_full.diff
    - 908_linprocfs_is_not_proc.diff
    - 920_linux_cflags.diff
    - 921_signal_watchdog.diff
    - 922_cc_version.diff
    - 923_newvers_timestamp.diff
  * Bump Build-Depends: freebsd-buildutils to (>= 10.3~)

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 06 Feb 2016 16:23:08 +0000

kfreebsd-10 (10.2-1) experimental; urgency=medium

  * New upstream release (10.2)
  * Drop backported patches
  * Refresh th others
  * Require freebsd-buildutils 10.2

 -- Christoph Egger <christoph@debian.org>  Fri, 21 Aug 2015 13:29:45 +0200

kfreebsd-10 (10.1~svn274115-10) unstable; urgency=high

  [ Christoph Egger ]
  * Make kfreebsd-source multi-arch foreign

  [ Steven Chamberlain ]
  * Pick SVN r287146 from FreeBSD 10.1-RELEASE:
    - SA-15:21: Fix local privilege escalation in IRET handler.
      (CVE-2015-5675) (Closes: #796996)
    - EN-15:14: Disabled ixgbe(4) flow-director support, due to an 
      implementation bug.

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 22 Aug 2015 00:58:41 +0100

kfreebsd-10 (10.1~svn274115-9) unstable; urgency=medium

  * Adjust Build-Depends to match clang version used, and
    regenerate control file, forgotten in previous upload.

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 04 Aug 2015 18:43:58 +0100

kfreebsd-10 (10.1~svn274115-8) unstable; urgency=medium

  * Build with clang-3.5, at least until clang-3.6 is fixed, so that
    clang-3.4 can be removed from unstable.
  * Pick SVN r285780 from FreeBSD 10.1-RELEASE to fix:
    - SA-15:13: Resource exhaustion due to sessions stuck in LAST_ACK
      state.
  * Pick SVN r285979 from FreeBSD 10.1-RELEASE to fix:
    - SA-15:15: Resource exhaustion in TCP reassembly.
  * Pick SVN r284193 from FreeBSD 10.1-RELEASE to fix:
    - EN-15:07: ZFS Reliability Improvements.
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 04 Aug 2015 11:24:29 +0100

kfreebsd-10 (10.1~svn274115-7) unstable; urgency=medium

  * In the kfreebsd-source binary-indep package, ensure files
    and directories in the tarball are not writable by the src
    group, but readable by all, regardless of the umask setting
    when the package is built. (Closes: #791584)
  * Build with clang-3.6 on i386, amd64, arm;  due to clang-3.4
    going away soon. (Closes: #790358)

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 06 Jul 2015 13:47:06 +0100

kfreebsd-10 (10.1~svn274115-6) unstable; urgency=medium

  * Restore files missing from previous upload:
    - debian/installer/amd64/kernel-versions
    - debian/installer/i386/kernel-versions

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 05 Jul 2015 19:53:28 +0100

kfreebsd-10 (10.1~svn274115-5) unstable; urgency=medium

  * Create tarballs of upstream source, and of the kfreebsd-source
    binary-indep package, using a reproducible stable file order.
    (Closes: #786615)
  * In the kfreebsd-source binary-indep package, clamp timestamps
    to be no later than the last debian/changelog entry.
    (Closes: #788238)
  * Pick SVN r282873 from FreeBSD 10.1-RELEASE to fix:
    - EN-15:05: Fix deadlock on reboot with UFS tuned with SU+J.
      (Closes: #786619)

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 23 May 2015 14:57:14 +0100

kfreebsd-10 (10.1~svn274115-4) unstable; urgency=high

  * Pick SVN r281232 from FreeBSD 10.1-RELEASE to fix:
    - SA-15:04: integer overflow in IGMP protocol (CVE-2015-1414)
      updated patch from advisory revision 1.1 (Closes: #779195)
    - SA-15:09: Denial of Service with IPv6 Router Advertisements
      (CVE-2015-2923) (Closes: #782107)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 07 Apr 2015 22:13:19 +0100

kfreebsd-10 (10.1~svn274115-3) unstable; urgency=high

  * Pick SVN r279264 from FreeBSD 10.1-RELEASE to fix:
    - SA-15:04: integer overflow in IGMP protocol (CVE-2015-1414)
      (Closes: #779195)
    - EN-15:01: vt(4) crash with improper ioctl parameters
      (CVE-2014-0998) (Closes: #779194)

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 25 Feb 2015 12:39:32 +0000

kfreebsd-10 (10.1~svn274115-2) unstable; urgency=high

  * Pick SVN r277808 from FreeBSD 10.1-RELEASE to fix:
    - SA-15:02: SCTP SCTP_SS_VALUE kernel memory corruption and
      disclosure vulnerability (CVE-2014-8612) (Closes: #776415)
    - SA-15:03: SCTP stream reset vulnerability (CVE-2014-8613)
      (Closes: #776416)
  * Build kernel images only on kfreebsd-any arches, so that any
    security or other RC-severity kernel bugs will not affect the
    official jessie release

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 27 Jan 2015 20:02:52 +0000

kfreebsd-10 (10.1~svn274115-1) unstable; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-RC4+
    - Fix kernel stack disclosure in setlogin(2) / getlogin(2). [SA-14:25]
      (CVE-2014-8476) (Closes: #768108)
  * Replace non-DFSG-free ar9300_devid.h with a 3-clause BSD substitute
    derived from Linux ath9k driver (Closes: #767583)

  [ Christoph Egger ]
  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sun, 28 Dec 2014 12:41:02 +0100

kfreebsd-10 (10.1~svn273874-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream snapshot of 10.1-RC4

 -- Steven Chamberlain <steven@pyro.eu.org>  Thu, 30 Oct 2014 22:27:51 +0000

kfreebsd-10 (10.1~svn273581-1) experimental; urgency=high

  * New upstream snapshot of 10.1-RC3+
    - Fix memory leak in sandboxed namei lookup. [SA-14:22]
      (CVE-2014-3711) (Closes: #766278)
  * Symlink to drm2.ko as provider of drmn.ko dependency, for *kms
    modules (Closes: #731182)
  * NEWS: advise to reboot after upgrading kernel and userland tools
    from wheezy (Closes: #765588)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 21 Oct 2014 22:03:15 +0100

kfreebsd-10 (10.1~svn273304-1) unstable; urgency=medium

  * New upstream snapshot of 10.1-RC3~
  * Actually apply changes to debian/control meant to happen in the
    previous upload (changes to Breaks: and Uploaders:)

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 17 Oct 2014 00:16:43 +0000

kfreebsd-10 (10.1~svn272463-1) unstable; urgency=low

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-RC1
  * Set a Breaks: on freebsd-net-tools (<< 10.0~) due to an ABI change
    listing or modifying network interfaces
  * Set a Breaks: on freebsd-smbfs (<< 10.0~) due to an ABI change
    mounting an SMB filesystem
  * Set a Breaks: on pf (<< 10.1~) due to an ABI change listing or
    modifying firewall rules
  * Set a Breaks: on grub-common (<< 2.02~) because GRUB 2.02 or later
    is needed to boot from a ZFS pool having the LZ4 compression
    feature enabled
  * In get-orig-source, svn export with --ignore-keywords so that
    revision tags do not fuzzy the patches
  * Add myself to Uploaders

  [ Petr Salinger ]
  * Refresh patches
    - aicasm-parallel-build-dependencies.diff
    - userland.diff
    - 001_misc.diff
    - 999_config.diff

  [ Christoph Egger ]
  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 20 Sep 2014 22:02:28 +0100

kfreebsd-10 (10.1~svn271306-2) experimental; urgency=medium

  * build-depend on clang-3.4 (>= 1:3.4.2-9~exp2) for #759303 fixes
  * Add myself to uploaders
  * Wrap control fields nicely

 -- Christoph Egger <christoph@debian.org>  Thu, 18 Sep 2014 17:35:14 -0700

kfreebsd-10 (10.1~svn271306-1) experimental; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-PRERELEASE
    - Improves performance of vt(4) on vga (Closes: #755739)
  * Use the new 'make firmware' target to rebuild aic7xxx firmware from
    sources, no longer done upstream but required per the DFSG
  * Drop obsolete patch
    - 003_glibc_dev_aicasm.diff
  * Refresh patches
    - userland.diff
    - 107_mount_update.diff
    - 917_disable_kgssapi.diff
    - 999_config.diff
  * Improve build reproducibility:
    - remove last remaining occurrences of the full build path from the
      output files
    - use brandelf to give kernel modules the ELF ABI number for
      FreeBSD, even when building on Linux

  [ Christoph Egger ]
  * add aicasm-parallel-build-dependencies.diff to fix parallel build of
    aic7xx firmware

 -- Christoph Egger <christoph@debian.org>  Wed, 10 Sep 2014 09:57:11 -0700

kfreebsd-10 (10.1~svn270273-2) experimental; urgency=medium

  * Remove vt_xboxfb as it's not available currently

 -- Christoph Egger <christoph@debian.org>  Tue, 26 Aug 2014 13:15:35 -0700

kfreebsd-10 (10.1~svn270273-1) experimental; urgency=low

  [ Steven Chamberlain ]
  * New upstream snapshot of STABLE-10
  * Reset abiname to 0
  * Switch to clang-3.4 on i386, amd64, arm (Closes: #754799)
  * Switch to gcc-4.9 on other architectures (Closes: #751316)
  * Delete patches merged upstream:
    - si_status_wait6.diff
    - accept_O_CLOEXEC_in_shm_open.diff
    - newcons.diff
    - SA-14_05.nfsserver.patch
    - SA-14_08.tcp.patch
    - EN-14_05.ciss.patch
    - EN-14_06.execve.patch
  * Refresh patches:
    - radeonkms_abort_nofw.diff
    - userland.diff
    - 001_misc.diff
    - 902_version.diff
    - 908_linprocfs_is_not_proc.diff
    - 915_ip6.v6only.diff
    - 917_disable_kgssapi.diff
    - 918_unix_socket_overflow.diff
    - 999_config.diff
  * Fix FTBFS building the kernel in isolation
    - 110_ftbfs.diff
  * Enable IPSEC (Closes: #644353)
    - 111_ipsec_nat-t.diff: redefine UDP_ENCAP to match GNU userland
      (Closes: #718224)
  * Build modules in-place instead of creating a deep nested hierarchy
    - 924_module_objdir.diff (Closes: #757632)
  * Compile objects with relative, not absolute paths, to avoid embedding
    full build tree paths into modules (Closes: #757629)
  * Require freebsd-glue >= 0.2.20 due to bug #759249

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 24 Aug 2014 02:00:12 +0100

kfreebsd-10 (10.0-6) unstable; urgency=high

  * Team upload.
  * Pick SVN 265987 from FreeBSD 10.0-RELEASE to fix EN-14:05:
    ciss(4) potential data corruption bug (Closes: #748079)
  * Pick SVN 266464 from FreeBSD CURRENT to fix EN-14:06:
    Triple fault on execve from 64-bit thread to 32-bit process
    (Closes: #748744)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 20 May 2014 12:47:21 +0100

kfreebsd-10 (10.0-5) unstable; urgency=high

  [ Christoph Egger ]
  * Increase firmware size limit to 1MiB. This should be enough for at
    least iwlwifi firmware to safely load

  [ Robert Millan ]
  * Fix for SA-14:08 / CVE-2014-3000 (TCP reassembly vulnerability).
    (Closes: #746949)

 -- Robert Millan <rmh@debian.org>  Sun, 04 May 2014 12:00:30 +0200

kfreebsd-10 (10.0-4) unstable; urgency=low

  [ Steven Chamberlain ]
  * Pick SVN 264266 from FreeBSD 10-STABLE to fix SA-14:05 / CVE-2014-1453:
    Deadlock in the NFS server (Closes: #743988)

 -- Robert Millan <rmh@debian.org>  Sat, 12 Apr 2014 18:24:27 +0200

kfreebsd-10 (10.0-3) experimental; urgency=low

  [ Steven Chamberlain ]
  * Avoid a varying timestamp in kfreebsd-source tar.xz file

  [ Robert Millan ]
  * B-D on freebsd-buildutils with reliable kldxref.
  * Merge Newcons / VT from stable/10 branch.

 -- Robert Millan <rmh@debian.org>  Mon, 10 Mar 2014 13:32:14 +0100

kfreebsd-10 (10.0-2) unstable; urgency=low

  * Accept O_CLOEXEC in shm_open().
  * radeonkms: Disable R600+ drivers when no firmware blob is available.
    (Closes: #732692)
  * firmware_load.diff: Loads firmware blobs from /lib/firmware/.
    Currently supports radeonkmsfw, ral, iwi, wpi, wpi, ipw, iwn and
    rsu. (Closes: #642468)

 -- Robert Millan <rmh@debian.org>  Sat, 08 Feb 2014 15:14:00 +0100

kfreebsd-10 (10.0-1) unstable; urgency=high

  * New upstream release.
    - Bumped abiname to 1

  [ Robert Millan ]
  * Only assert linker.hints presence on kfreebsd-any.
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 13:30:05 +0100

kfreebsd-10 (10.0~svn259778-1) unstable; urgency=medium

  * New upstream snapshot (10.0-RC3).
    - Set urgency to medium given that -RC2 has already been in
      unstable for 7 days.

  [ Robert Millan ]
  * Build linker.hints, but don't install it yet. We need to decide
    what to do about the regressions (e.g. #732692)
    (this doesn't fix #684595 yet...)

 -- Robert Millan <rmh@debian.org>  Thu, 26 Dec 2013 01:32:04 +0100

kfreebsd-10 (10.0~svn259404-1) unstable; urgency=low

  * New upstream snapshot (10.0-RC2).
    - Includes radeonkms modesetting sysctls (see #731144).

  [ Robert Millan ]
  * Disable DEBIAN_DEBUG options.
  * Remove -686-smp transitional packages (NPOASR).

 -- Robert Millan <rmh@debian.org>  Mon, 16 Dec 2013 00:09:58 +0100

kfreebsd-10 (10.0~svn259068-1) unstable; urgency=low

  * New upstream snapshot.
    - Switch to releng/10.0 branch.

  [ Robert Millan ]
  * Fetch source code securely (https) in get-orig-source.

 -- Robert Millan <rmh@debian.org>  Sun, 08 Dec 2013 17:18:31 +0100

kfreebsd-10 (10.0~svn258623-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.
    - Fix for CVE-2013-6832 (r258554). (Closes: #730518)
    - Fix for CVE-2013-6834, CVE-2013-6833 (r258457). (Closes: #730519)

  [ Robert Millan ]
  * Disable mipsel builds.  (Closes: #727829)
  * si_status_wait6.diff: Chery-pick r258281 from HEAD to fix
    siginfo_t.si_status for wait6/waitid/SIGCHLD. (Closes: #729698)

  [ Steven Chamberlain ]
  * The wildcard for ARM is any-arm.
  * Don't make sys/conf/kmod_syms.awk executable.
  * Brand kernel image as FreeBSD type, in case not building on kfreebsd

 -- Robert Millan <rmh@debian.org>  Tue, 26 Nov 2013 14:50:55 +0100

kfreebsd-10 (10.0~svn257123-1) experimental; urgency=low

  * New upstream snapshot.
    - Switch to stable/10 branch.
    - Refresh all patches.

  [ Robert Millan ]
  * Only build with Clang on architectures where it is the default in
    upstream.
  * Remove (disabled) patch 006_mips_i8259_alloc.diff. Problem has been
    fixed in upstream already.

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Fri, 25 Oct 2013 22:58:11 +0200

kfreebsd-10 (10.0~svn255915-1) experimental; urgency=low

  * New upstream snapshot.
    - Includes Xen HVM support.

  [ Robert Millan ]
  * Remove one gratuitous round of src copying.
  * Disable -Werror only for non-Clang compilers.
  * Properly set CLANG_IS_CC knob according to selected compiler.
  * Re-enable -O2.
  * Build kfreebsd-headers-\* only on kfreebsd-@arch@.
  * userland.diff: Import selection of header fixes needed by userland.

  [ Steven Chamberlain ]
  * Improve repeatability of builds:
    - Omit gzip timestamp from kernel image.
    - Use timestamp from debian/changelog for uname --kernel-release,
      instead of the exact time of the build.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Sep 2013 02:16:58 +0200

kfreebsd-10 (10.0~svn255412-1) experimental; urgency=low

  * New upstream snapshot.
    - 920_linux_cflags.diff: Set __FreeBSD__=10 in order to fix <stddef.h>
      buildability.
    - Switch to clang (at least until/unless GCC <wmmintrin.h> becomes
      buildable).

  [ Robert Millan ]
  * Stop overriding linker_path, this is done in userland already.
  * Make kfreebsd-headers-@version@-@abiname@ kfreebsd-specific.

 -- Robert Millan <rmh@debian.org>  Mon, 09 Sep 2013 14:18:49 +0200

kfreebsd-10 (10.0~svn254663-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.
    - Fix for CVE-2013-3077. (Closes: #720471)
    - Fix for CVE-2013-5209. (Closes: #720478)

  [ Robert Millan ]
  * Harmonize kernel config with upstream, reducing the GENERIC delta.
    - Let GENERIC define fdc. DEBIAN can override this afterwards.
    - Let GENERIC define lpt, ppi, tun, gif and faith. There seems to
      be no particular reason to diverge on these.
    - Don't include LINPROCFS and COMPAT_LINUX in GENERIC. DEBIAN already does.
  * Add INCLUDE_CONFIG_FILE option.  (Closes: #706736)
  * Use config(8) from freebsd-buildutils.

 -- Robert Millan <rmh@debian.org>  Thu, 22 Aug 2013 18:50:23 +0200

kfreebsd-10 (10.0~svn253832-1) experimental; urgency=low

  * New upstream snapshot.
    - Implements freebsd32_ktimer_* syscalls. (Closes: #666730)
    - if_run now disabled due to WITHOUT_SOURCELESS_UCODE.

  [ Robert Millan ]
  * Remove 951_disable_mk_magic.diff, use -DWITHOUT_CTF instead.
  * Split kernel_cc into cc_cmd and cc_pkg (this makes it easier to
    enable clang when desired).
  * Bump B-D on freebsd-buildutils to 10~svn251967-3.
  * mount_remount.diff: Implement "mount -o remount" glue in kernel like
    upstream wants.

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.
  * Place transitional packages on Section oldlibs and Priority extra.

  [ Petr Salinger ]    
  * Re-enable 901_disable_optimization_2.diff. See: #718250.

 -- Robert Millan <rmh@debian.org>  Fri, 02 Aug 2013 21:14:53 +0200

kfreebsd-10 (10.0~svn252032-1) experimental; urgency=low

  [Petr Salinger]   
  * New upstream snapshot.
    - fix for FreeBSD-SA-13:06.mmap (CVE-2013-2171). (Closes: #712892)
  * refresh all patches
  * switch to gcc-4.8
  * disable 901_disable_optimization_2.diff
  * bump Breaks of grub due to #699002.

  [Steven McDonald]
  * add 922_cc_version.diff
  * temporary patch debugger.diff

  [ Robert Millan ]
  * patches/913_uudecode.diff: Remove. It is pointless when using
    WITHOUT_SOURCELESS.
  * Simplify handling of debug mode. To enable/disable debug options,
    just edit sys/conf/DEBIAN in 999_config.diff and comment/uncomment
    the appropriate line.
  * Use xz for deb compression.

 -- Robert Millan <rmh@debian.org>  Tue, 02 Jul 2013 12:39:41 +0200

kfreebsd-10 (10.0~svn242489-1) experimental; urgency=low

  * Update to SVN 242489
    * Includes Upstream fix for SCTP DoS (Closes: #686963)
    * Drop xfs and ntfs modules not build upstream currently

 -- Christoph Egger <christoph@debian.org>  Sun, 30 Sep 2012 18:13:53 -0700

kfreebsd-10 (10.0~svn240469-1) experimental; urgency=low

  * Add byacc to Build-Depends.

 -- Robert Millan <rmh@debian.org>  Wed, 25 Jul 2012 19:00:45 +0200

kfreebsd-10 (10.0~svn238475-2) experimental; urgency=low

  * Remove broken -I. from aicasm CFLAGS.

 -- Robert Millan <rmh@debian.org>  Sun, 22 Jul 2012 10:33:41 +0200

kfreebsd-10 (10.0~svn238475-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Sun, 15 Jul 2012 14:09:47 +0200

kfreebsd-10 (10.0~svn237137-1) experimental; urgency=low

  * New upstream snapshot.
    - Fix for FreeBSD SA-12:06, aka CVE-2012-0217.  (Closes: #677299)

 -- Robert Millan <rmh@debian.org>  Fri, 15 Jun 2012 20:59:04 +0200

kfreebsd-10 (10.0~svn234760-1) experimental; urgency=low

  * New upstream snapshot.
    - r234743: Increase DFLDSIZ from 128 MiB to 32 GiB.  (Closes: #669174)

  [ Robert Millan ]
  * Import module lists from kernel-wedge, as they're being removed
    there (see 2.84).
  * Add USB modules to udebs.
  * 921_signal_watchdog.diff: Protection against unexpected new signals.
  * pty(4) was removed from GENERIC in 10-CURRENT (see rev 233271), but
    unfortunately glibc doesn't support pts(4) yet (see #667448).
    Reenable in sys/conf/DEBIAN.
  * 921_signal_watchdog.diff: Add a safety check to detect when the
    spares in struct sigevent are claimed by upstream (see #666454).
  * 101_nullfs_vsock.diff: Delete (superceeded by r232317).

 -- Robert Millan <rmh@debian.org>  Sun, 29 Apr 2012 12:20:18 +0200

kfreebsd-10 (10.0~svn233872-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Set -DWITHOUT_KERNEL_SYMBOLS MK knob to make lintian happy.
  * Replace 950_no_stack_protector.diff with -DWITHOUT_SSP build knob.
  * Misc adjustments to make it possible to build with Clang (if enabled
    in debian/rules).
  * Remove ALTQ_NOPCC in kernel configs, it is no longer required by SMP
    systems (see altq_subr.c).
  * Defer SMP kernel option to upstream config.
  * Merge 952_nodebug.diff and the debug bits of
    debian/arch/i386/xen.config into sys/conf/DEBIAN.

 -- Robert Millan <rmh@debian.org>  Wed, 04 Apr 2012 16:18:09 +0200

kfreebsd-10 (10.0~svn232747-1) experimental; urgency=low

  * New upstream snapshot.
    - Removes most USB drivers from main kernel image (reduces our
      sys/*/conf/GENERIC delta).

  [ Robert Millan ]
  * Factorize common options into a single file.

 -- Robert Millan <rmh@debian.org>  Fri, 09 Mar 2012 22:19:14 +0100

kfreebsd-10 (10.0~svn232158-1) experimental; urgency=low

  * New upstream snapshot.
    - Disable adw via in WITHOUT_SOURCELESS_UCODE rather than in GENERIC.

  [ Robert Millan ]
  * Build by GCC 4.6.
  * Lower libc0.1 requirement to 2.11.3-1.
  * Enable pflog.  (Closes: #658677)

 -- Robert Millan <rmh@debian.org>  Sat, 25 Feb 2012 16:55:15 +0100

kfreebsd-10 (10.0~svn230972-1) experimental; urgency=low

  * New upstream snapshot.
    - 903_disable_non-free_drivers.diff: Remove (obsoleted by
      MK_SOURCELESS build option).
    - 999_firmware.diff: Likewise.

 -- Robert Millan <rmh@debian.org>  Sat, 04 Feb 2012 12:20:22 +0100

kfreebsd-10 (10.0~svn230109-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Remove 951_disable_mk_magic.diff (except for MK_CTF bits), build-depend
    on freebsd-buildutils >= 9 instead.
  * 952_nodebug.diff: Disable full debugger support to minimize the
    impact of heisenbugs (see patch header for details).

 -- Robert Millan <rmh@debian.org>  Sun, 15 Jan 2012 14:35:58 +0100

kfreebsd-10 (10.0~svn228940-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Enable SMP in -686 and turn -686-smp into a transitional package.
  * Disable udebs for xen flavour on i386 (unbuildable).

 -- Robert Millan <rmh@debian.org>  Thu, 29 Dec 2011 00:53:20 +0100

kfreebsd-10 (10.0~svn228392-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Use major number for kfreebsd.gz in kernel-image, so that it can be
    installed alongside other kfreebsd versions.
  * 108_teken_utf8_table.diff: Fix sockets over nullfs.
  * Fix dh_clean call in udeb target.
  * Build udebs for xen flavour on i386.

 -- Robert Millan <rmh@debian.org>  Sat, 10 Dec 2011 18:22:08 +0100

kfreebsd-10 (10.0~svn227875-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Mark kfreebsd-headers-@version@-@abiname@ as kfreebsd-any.
  * Depend on package providing devd.
  * Fix installability problem on non-kfreebsd platforms.
  * Rewrite 107_mount_update.diff to fix the new problem with same symptoms
    (this time, a regression introduced by upstream rev 220937).
    (Closes: #646957)
  * Add comment placeholder in kernel-wedge empty files.

 -- Robert Millan <rmh@debian.org>  Wed, 23 Nov 2011 21:05:12 +0100

kfreebsd-10 (10.0~svn227111-2) experimental; urgency=low

  * Fix i386 udeb flavor (should be -486, not -xen).

 -- Robert Millan <rmh@debian.org>  Sun, 06 Nov 2011 12:45:28 +0100

kfreebsd-10 (10.0~svn227111-1) experimental; urgency=low

  * New upstream snapshot.
    - 005_linux_cflags.diff: Remove (merged).
    - 108_teken_utf8_table.diff: Remove (merged).

  [ Robert Millan ]
  * Replace sed kludge with a pair of patches (920_linux_cflags.diff and
    008_verioned_freebsd_macro.diff).
  * Remove gen-ld-u-options / 020_linker.diff kludge, not needed since
    upstream fixed this (r215137).
  * Build udebs for the installer.

 -- Robert Millan <rmh@debian.org>  Sun, 06 Nov 2011 00:11:08 +0100

kfreebsd-10 (10.0~svn226872-2) experimental; urgency=low

  * Require ZFS v28 userland (Breaks: zfsutils (<< 8.3~)).
  * Recover 918_delete_key.diff patch from r3199.  (Closes: #605065)

 -- Robert Millan <rmh@debian.org>  Sat, 29 Oct 2011 22:23:38 +0200

kfreebsd-10 (10.0~svn226872-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Remove /boot symlink kludge.  See:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=633561#88
  * Fix panic on early boot.  (Closes: #644417)
    - Switch back to GCC 4.4.
    - Turn optimization down to -O1 (901_disable_optimization_2.diff).
  * Remove 907_cpu_class.diff (it breaks FreeBSD userland when running
    in a chroot on Debian kernel).

  [ Petr Salinger ]
  * Drop 103_stat_pipe.diff, fixed upstream.
  * Add 918_unix_socket_overflow.diff, to fix up breakage in our userland
    after 000_unix_socket_overflow.diff. Closes: #645527.

 -- Robert Millan <rmh@debian.org>  Fri, 28 Oct 2011 12:40:27 +0200

kfreebsd-10 (10.0~svn226224-1) experimental; urgency=low

  * New upstream snapshot.
  * Fix panic on early boot.  (Closes: #644417)
    - Switch back to GCC 4.4
    - 008_gcc46.diff: Add -fno-gcse to COPTFLAGS to fix GCC >= 4.4 builds.

 -- Robert Millan <rmh@debian.org>  Mon, 10 Oct 2011 22:11:40 +0200

kfreebsd-10 (10.0~svn225709-1) experimental; urgency=low

  * New upstream snapshot.  Begin tracking 10-CURRENT.
    - Reset abiname to 0

  [ Robert Millan ]
  * Relax grub-common requirement now that ada support has been
    backported to 1.98+20100804-14+squeeze1.

  [ Petr Salinger ]
  * extend ld_target detection

 -- Robert Millan <rmh@debian.org>  Sat, 24 Sep 2011 09:40:19 +0200 

kfreebsd-9 (9.0~svn225586-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Thu, 15 Sep 2011 21:52:09 +0200

kfreebsd-9 (9.0~svn225237-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Wed, 31 Aug 2011 22:01:49 +0200

kfreebsd-9 (9.0~svn225037-1) experimental; urgency=low

  * New upstream snapshot.
    - 101_pfsync_ftbfs.diff: Remove (merged).

 -- Robert Millan <rmh@debian.org>  Sat, 20 Aug 2011 17:13:08 +0200

kfreebsd-9 (9.0~svn224698-1) experimental; urgency=low

  * New upstream snapshot.
  * 002_maxpathlen.diff: Fix another FTBFS on hurd-i386.

 -- Robert Millan <rmh@debian.org>  Sun, 07 Aug 2011 20:18:19 +0000

kfreebsd-9 (9.0~svn224609-1) experimental; urgency=low

  * New upstream snapshot.
    - r224582: Implement /proc/swaps.

  * Make regex kludge even more strict.  This should finally fix FTBFS
    on any-i386.
  * Loosen freebsd-utils dependency (8.1-5 already provides proper devd
    support now that #630614 has been backported).
  * 006_mips_i8259_alloc.diff: Fix allocation of i8259 I/O ports on
    mipsel/malta.

 -- Robert Millan <rmh@debian.org>  Wed, 03 Aug 2011 00:53:34 +0200

kfreebsd-9 (9.0~svn224413-1) experimental; urgency=low

  * 003_glibc_dev_aicasm.diff: Add fix for FTBFS on hurd-i386.
  * Add Breaks on libc0.1 << 2.13-11 (see #630695).
  * Disable 007_clone_signals.diff, since we already require eglibc
    2.13-11 or later.  This ensures that the RFTSIGZMB codepath is
    tested.
  * Make regex kludge a bit more strict.  This removes the need for
    200_xen.diff (removed).

 -- Robert Millan <rmh@debian.org>  Tue, 26 Jul 2011 15:25:36 +0200

kfreebsd-9 (9.0~svn224126-1) experimental; urgency=low

  * New upstream snapshot.
    - r224072: Fix initialization of i8259 controller on Malta.
      (Closes: #633618).
    - r224126: Restore binary compatibility for GIO_KEYMAP and PIO_KEYMAP.
      (Closes: #630784).

  [ Robert Millan ]
  * Revert part of 005_linux_cflags.diff which isn't going to be
    accepted by upstream, and caused build breakage on GNU/Linux. Bring
    back needed parts of the sed kludge.
  * Provide "kfreebsd-headers" virtual package in kfreebsd-headers-
    @version@-@abiname@-@flavor@.

 -- Robert Millan <rmh@debian.org>  Sun, 17 Jul 2011 17:03:23 +0200

kfreebsd-9 (9.0~svn223966-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.
    - Includes support for RFTSIGZMB flag in rfork().

  [ Robert Millan ]
  * Require freebsd-buildutils (>= 8.2-7).
  * Replace sed kludge with a small patch.
  * Remove 013_ip_packed.diff (remnant from kfreebsd-6 transition in
    2005).
  * Remove 200_xen.diff workaround (no longer needed after sed kludge
    was removed in r3577).

 -- Robert Millan <rmh@debian.org>  Wed, 13 Jul 2011 17:39:10 +0200

kfreebsd-9 (9.0~svn223870-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.

  [ Robert Millan ]
  * Only depend on freebsd-utils and kldutils on [kfreebsd-any].
  * 002_maxpathlen.diff: Fix FTBFS on hurd-i386.
  * Remove versioned dependency that confused buildds.

 -- Robert Millan <rmh@debian.org>  Fri, 08 Jul 2011 16:36:10 +0200

kfreebsd-9 (9.0~svn223728-2) experimental; urgency=low

  * Disable buggy 009_disable_duped_modules.diff.  It was disabling many
    more modules than built into kernel (e.g. all USB modules).
  * 101_pfsync_ftbfs.diff: Fix FTBFS on mipsel.

 -- Robert Millan <rmh@debian.org>  Mon, 04 Jul 2011 16:09:25 +0200

kfreebsd-9 (9.0~svn223728-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.

  [ Robert Millan ]
  * Add sys/conf/kmod_syms.awk, sys/kern/bus_if.m, sys/dev/pci/pci_if.m,
    sys/kern/device_if.m, sys/tools/makeobjops.awk and sys/machine
    symlink to header package.
  * Require either libsbuf-dev or kfreebsd-kernel-headers that provides
    a valid <sys/sbuf.h>.
  * Remove drivers for USB devices from kernel, now that devd autoloads them.
    Remove drivers for PCI sound devices as well, also autoloaded by devd and
    which weren't present in kfreebsd-8 anyway.
  * Allow building module-less kernels (needed for mipsel).
  * Switch to use the libbsd-overlay.
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Add Breaks on grub-common (<< 1.99-8).

 -- Robert Millan <rmh@debian.org>  Sun, 03 Jul 2011 01:11:29 +0200

kfreebsd-9 (9.0~svn223502-1) experimental; urgency=low

  * New upstream snapshot.
    - Fix net802.11 stack kernel memory disclosure (CVE-2011-2480).
      (Closes: #631160)
    - Refresh all patches.
    - Revert enabling of kgssapi modules (break build).

  [ Petr Salinger ]
  * Drop 111_linprocfs_kthread.diff, fixed upstream.

  [ Robert Millan ]
  * Add conf/kern.mk, conf/kmod.mk, kern/vnode_if.src, and
    tools/vnode_if.awk to kfreebsd-headers-8.2-1.  (Closes: #630509)
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Fri, 24 Jun 2011 16:16:30 +0200

kfreebsd-9 (9.0~svn223109-0.1) experimental; urgency=low

  * Non-maintainer upload.

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.

  [ Robert Millan ]
  * Add lintian override for "embedded-library" (zlib.ko).
  * Automatically propagate GCC version dependency to debian/control.
  * Add "(meta-package)" to Description of meta-packages to make lintian happy.
  * Build by GCC 4.6.

  [ Petr Salinger ]
  * Add 111_linprocfs_kthread.diff. Closes: #630104.

 -- Robert Millan <rmh@debian.org>  Thu, 16 Jun 2011 10:28:34 +0200

kfreebsd-8 (8.2-1) unstable; urgency=low

  [ Robert Millan ]
  * New upstream release.
    - 000_adaptive_machine_arch.diff: Remove (merged).
    - 000_ata.diff: Remove (merged).
    - 000_ufs_lookup.diff: Remove (merged).
    - 004_xargs.diff: Resync.
    - 102_POLL_HUP.diff: Remove (merged).
    - 104_linprocfs.diff: Remove (merged).
    - 904_dev_full.diff: Resync.
    - 999_firmware.diff: Resync.
  * Make this package buildable on GNU/Linux. Closes: #602770.
  * MIPS port (with malta flavor).

  [ Petr Salinger ]
  * New upstream release, fixes local DoS. Closes: #611476, #613312.
    - 105_apm_amd64.diff: Resync.
    - 907_cpu_class.diff: Resync.
  * Extend 108_teken_utf8_table.diff for middle-dot l/L.
    Closes: #609681. Thanks to Robert Millan.
  * Add xen flavor on i386.
  * Enable quota.  Closes: #608995.

  [ Aurelien Jarno ]
  * Enable CARP, PF and PFSYNC.  Closes: #583848, #600061.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Feb 2011 23:01:52 +0100

kfreebsd-8 (8.1+dfsg-7.1) unstable; urgency=high

  * Non-maintainer upload (requested by Petr Salinger).
  * Revert 918_delete_key.diff
    The proper solution needs more changes, unsuitable during deep freeze.
    See #605065, #605777, #607662.

 -- Robert Millan <rmh@debian.org>  Tue, 04 Jan 2011 13:49:34 +0100

kfreebsd-8 (8.1+dfsg-7) unstable; urgency=low

  [ Robert Millan ]
  * Add 917_track_alignment.diff to remove obsolete warning about track
    alignment in MSDOS partitions. Closes: #603380.

  [ Petr Salinger ]
  * Add 918_delete_key.diff to conform to Debian Policy,
    9.8 Keyboard configuration. Closes: #605065.
  * Extend 108_teken_utf8_table.diff for U+25AE. Closes: #605724.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 03 Dec 2010 17:12:11 +0100

kfreebsd-8 (8.1+dfsg-6) unstable; urgency=low

  [ Petr Salinger ]
  * Drop non-free firmware. Closes: #594940.
    - prune .orig.tar.gz
    - disable firmware in kernel via 999_config.diff
    - drop firmware even as modules inside 999_firmware.diff
  * Re-enable ulpt in kernel. Closes: #598417.
  * Raise NKPT on amd64 via 916_NKPT_amd64.diff. Closes: #596577.

  [ Aurelien Jarno ]
  * Replace 106_teken_op.diff by upstream patch.
  * Add 108_teken_utf8_table.diff to be able to display upper case vowels
    with accent by ignoring the accent. Closes: #595681.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 21 Nov 2010 15:19:57 +0100

kfreebsd-8 (8.1-5) unstable; urgency=medium

  * Correctly update a root filesystem to read/write when the mount
    options are passed as flags instead of iovec, like in busybox.
  * Fix Coda filesystem kernel memory disclosure (CVE-2010-3014).
  * Disable TEKEN_XTERM as TEKEN_UTF8 is enough to get UTF-8 support
    in debian-installer.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Aug 2010 22:05:09 +0200

kfreebsd-8 (8.1-4) unstable; urgency=low

  [ Petr Salinger ]
  * Report i686 instead of i386 on amd64 machine for 32-bit binaries.
  * Teach how to handle orig_pair ESC sequence for TERM=cons25.
    Closes: #559364.
  * enable VESA also for 64-bit kernel, similarly as for 32-bits
    kernels since 8.0-3

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Aug 2010 16:45:13 +0200

kfreebsd-8 (8.1-3) unstable; urgency=high

  [ Aurelien Jarno ]
  * Backport adaptive_machine_arch support from -CURRENT, change an amd64
    machine into i386 for 32-bit binaries.
  * Call postinst/postrm hooks as defined by the "Policy for Linux kernel,
    initramfs, boot loader update process".

  [ Guillem Jover ]
  * Polish hooks support:
    - Sanitize and single quote maintainer script parameters exported
      as DEB_MAINT_PARAMS environment variable.
    - Call preinst and prerm hooks too.
  * Pass version including ABI to kernel-img.conf hooks.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Aug 2010 06:58:01 +0200

kfreebsd-8 (8.1-2) unstable; urgency=low

  * Backport apm emulation on amd64 from -CURRENT as it is required by a few
    packages:
      - patches/105_apm_amd64.diff
  * Compress the sources with xz instead of bz2 to save space.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 21:06:07 +0200

kfreebsd-8 (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_8_1_0_RELEASE)
     - 000_*.diff, 105_pts.diff merged upstream
  * Include planned errata notices (already in 8-STABLE)
     - 000_ata.diff
     - 000_ufs_lookup.diff

  [ Guillem Jover ]
  * Use kfreebsd-any instead of explicit architecture list.
  * Fold Build-Depends field into several lines.

  [ Aurelien Jarno ]
  * debian/control.in: bump Standards-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 26 Jul 2010 15:50:57 +0200

kfreebsd-8 (8.0-11) unstable; urgency=medium

  * Also disable -fstack-protector for modules, now that
    freebsd-buildutils enable it by default. Closes: #587630.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 20 Jul 2010 00:00:55 +0200

kfreebsd-8 (8.0-10) unstable; urgency=high

  * Fix lost mbuf flag resulting in data corruption
    (FreeBSD-SA-10:07.mbuf / CVE-2010-2693).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 13 Jul 2010 20:18:34 +0200

kfreebsd-8 (8.0-9) unstable; urgency=low

  [ Aurelien Jarno ]
  * Default to netinet6.ip6.v6only=0 and netinet6.ip6.accept_rtadv=1
    to match the Linux kernel defaults.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 23 Jun 2010 21:31:54 +0200

kfreebsd-8 (8.0-8) unstable; urgency=low

  [ Aurelien Jarno ]
  * Set the default modules path to /lib/modules/$(version) as doing so
    in userland doesn't always work now that init scripts are reordered.
    Closes: #585633.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Jun 2010 21:46:47 +0200

kfreebsd-8 (8.0-7) unstable; urgency=low

  * Force NO_WERROR to build aicasm, now that it is not the default
    anymore in freebsd-buildutils.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 09 Jun 2010 14:31:53 +0200

kfreebsd-8 (8.0-6) unstable; urgency=high

  [ Petr Salinger ]
  * Use "#include <bsd/sys/queue.h>" instead of
    deprecated "#include <bsd/queue.h>"

  [ Aurelien Jarno ]
  * Fix unvalidated input in NFS client subsystem
    (FreeBSD-SA-10:06.nfsclient / CVE-2010-2020).
  * debian/control.in: bump Standards-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 08 Jun 2010 15:29:56 +0200

kfreebsd-8 (8.0-5) unstable; urgency=high

  [ Petr Salinger ]
  * Fix vnode leak - local DoS
      - 105_pts.diff

  * Merge packaging changes from kfreebsd-7
      debian/control: add ${misc:Depends} to all packages.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 08 Apr 2010 13:41:21 +0200

kfreebsd-8 (8.0-4) unstable; urgency=medium

  [ Robert Millan ]
  * Remove build kludge in favour of using libsbuf-dev.

  [ Petr Salinger ]
  * Improve linprocfs, see #344546, #460331, #521304.

  [ Aurelien Jarno ]
  * Set kernel ident to kernel flavour and package version.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 16 Feb 2010 19:55:12 +0100

kfreebsd-8 (8.0-3) unstable; urgency=low

  * Enable superpages by default on i386.
  * Fix debian/copyright.  Closes: bug#559695, bug#541427.
  * Enable options to get an UTF-8 console.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 Jan 2010 21:51:22 +0100

kfreebsd-8 (8.0-2) unstable; urgency=low

  [ Petr Salinger ]
  * Fix ZFS ZIL playback with insecure permissions
    (FreeBSD-SA-10:03.zfs / CVE-2010-0318).
      - 000_zfs.diff
  * Fix various stability and performance problems
    (FreeBSD-EN-10:01.freebsd).
      - 000_mcinit.diff
      - 000_multicast.diff
      - 000_nfsreconnect.diff
      - 000_rename.diff (already included)
      - 000_sctp.diff
      - 000_zfsmac.diff
      - 000_zfsvaccess.diff

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 Jan 2010 09:07:54 +0100

kfreebsd-8 (8.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_8_0_0_RELEASE)
     - 011_brandinfo.diff dropped, fixed upstream
     - 010_ET_DYN.diff dropped, fixed upstream
     - 101_subsecond_timestamp.diff merged upstream
  * Alter Build-depends as freebsd-buildutils 7.0 is still sufficent
  * Update of some patches
  * Disable SSP, under QEMU it currently leads to panic :-(
     - 950_no_stack_protector.diff
  * Detect the slashdot lookup for RENAME or REMOVE (from HEAD)
     - 000_rename.diff

  [ Luca Favatella ]
  * Drop patches
     - 000_ext2fs.diff and 017_oss_compat.diff applied upstream
     - 005_binutils.diff applied upstream (with mov instead of movw)
     - 911_no_werror.diff dropped (because useless)
  * Partially drop and refresh the rest
     - 001_misc.diff

  [ Aurelien Jarno ]
  * Add a get-orig-source target to debian/rules and stop using a tar in
    tar system.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Nov 2009 04:04:33 +0100

kfreebsd-7 (7.2-9) unstable; urgency=high

  [ Petr Salinger ]
  * Fix Devfs / VFS NULL pointer race condition
    (FreeBSD-SA-09:14.devfs). Closes: #549871.
  * Add no zero mapping feature
    (FreeBSD-EN-09:05.null).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 06 Oct 2009 16:26:08 +0200

kfreebsd-7 (7.2-8) unstable; urgency=low

  [ Petr Salinger ]
  * Extend 904_dev_full.diff to support non-blocking mode
    of /dev/full, /dev/null, /dev/zero

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Sep 2009 00:17:20 +0200

kfreebsd-7 (7.2-7) unstable; urgency=low

  * Don't ship /boot/kernel, but create it in the postinst if symlinks are
    enabled.
  * Add 914_psm.diff to debian/series.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Aug 2009 22:05:09 +0200

kfreebsd-7 (7.2-6) unstable; urgency=low

  [ Aurelien Jarno ]
  * Really build the ZFS module.
  * Enable TMPFS, it is need early in the boot process.
  * Add debian/README.source.
  * Align modules load address on pages.

  [ Petr Salinger ]
  * Enhance 007_clone_signals.diff
  * Drop .comment section from kernel modules on !amd64

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Aug 2009 15:20:36 +0200

kfreebsd-7 (7.2-5) unstable; urgency=low

  * Build the ZFS module, and at a README.Debian explaining it may not
    be legaly possible to load both ext2fs.ko and zfs.ko at the same time.
  * Add basic support for /etc/kernel-img.conf (do_symlinks, preinst_hook,
    prerm_hook, postinst_hook, postrm_hook), to be able to call update-grub
    after a kernel installation.
  * 914_psm.diff: fix PS/2 mouse support in Xorg.
  * debian/control.in: bump Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Aug 2009 00:25:50 +0200

kfreebsd-7 (7.2-4) unstable; urgency=low

  * Move some changes from 999_config.diff into the configuration files.
  * Enable FDESCFS and LINSYSFS as they are always mounted at boot.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Jul 2009 16:10:10 +0200

kfreebsd-7 (7.2-3) unstable; urgency=low

  [ Petr Salinger ]
  * 103_stat_pipe.diff: return distinct inode for distinct pipes. See #537555.

  [ Aurelien Jarno ]
  * debian/control.in: bump Standards-Version to 3.8.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Jul 2009 17:18:23 +0200

kfreebsd-7 (7.2-2) unstable; urgency=low

  [ Petr Salinger ]
  * 011_brandinfo.diff: fix the way a binary type is detected.
    The original upstream change in 7.2 prevented 32-bit binaries to work.
    It broke biarch support on kfreebsd-amd64 and whole kfreebsd-i386.
    Closes: #532627.
  * Fix local information disclosure via direct pipe writes
    (FreeBSD-SA-09:09.pipe).
  * Fix missing permission check on SIOCSIFINFO_IN6 ioctl
    (FreeBSD-SA-09:10.ipv6).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Jun 2009 09:44:19 +0200

kfreebsd-7 (7.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_2_0_RELEASE)
     - drop 000_*.diff patches applied upstream
     - update of some patches
     - refresh all patches

  [ Aurelien Jarno ]
  * Keep sources of ZFS but don't enable them.
  * Remove alternative build-depends on freebsd6-buildutils.
  * Remove compat flavours as we are going to the official archive.
  * Move ndiswrapper modules to kfreebsd-image, the same way the Linux
    modules are in main in the Debian.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 May 2009 21:35:04 +0200

kfreebsd-7 (7.1-4) unstable; urgency=low

  * debian/control.flavor.in: depends on kldutils instead of
    module-init-tools.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Apr 2009 21:27:55 +0200

kfreebsd-7 (7.1-3) unstable; urgency=low

  * debian/control.{flavor.,}in: change the section to kernel.
  * debian/control.in: bump Standards-Version to 3.8.1 (no changes).
  * debian/control.in, debian/compat: switch to debhelper 5.
  * debian/rules: make sure ~/.quiltrc or /etc/quilt.quiltrc is not used.
  * 000_ktimer.diff: fix local privilege escalation (CVE-2009-1041 /
    FreeBSD-SA-09:06.ktimer).
  * 000_kenv.diff: fix kernel panic when dumping environment
    (FreeBSD-EN-09:01.kenv).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Mar 2009 19:00:14 +0100

kfreebsd-7 (7.1-2) unstable; urgency=low

  [ Petr Salinger ]
  * 000_ext2fs.diff: upstream patch to not incorrectly add the low 5 bits
    of the offset to the resulting position of the found zero bit.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Jan 2009 16:42:14 +0100

kfreebsd-7 (7.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_1_0_RELEASE)
     - update of some patches
     - refresh remaining patches
     - 030_abi_cld.diff and 000_*.diff applied upstream
     - fix rc4random(9) predictable sequence vulnerability
       (FreeBSD-SA-08.11.arc4random / CVE-2008-5162)
     - fix netgraph / bluetooth privilege escalation
       (FreeBSD-SA-08:13.protosw)
  * Reduce number of kernel-image flavours
  * Reenable ums driver in GENERIC. Closes: #492891.
  * Do not specify SMP in GENERIC, it is enabled on per flavour basis
  * Ship config file used for building corresponding flavour
  * redefine POLL_HUP to be distinct from POLL_ERR

  [ Aurelien Jarno ]
  * debian/patches/*: convert to patchlevel p1 as requested by the new
    dpkg-source.
  * debian/control.compat.in, debian/control.flavor.in: set section of
    images to admin.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 04 Jan 2009 13:41:57 +0100

kfreebsd-7 (7.0-7) unstable; urgency=low

  [ Petr Salinger ]
  * libdb-dev is now a real package, build-depend only on it.
    Closes: #501420.
  * use and prefer freebsd-buildutils over freebsd7-buildutils.
    Closes: #474762.
  * add Vcs-* fields into debian/control.

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 Oct 2008 14:23:26 +0200

kfreebsd-7 (7.0-6) unstable; urgency=high

  * Fix IPv6 Neighbor Discovery Protocol routing vulnerability
    (FreeBSD-SA-08:10.nd6 / CVE-2008-2476).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 Oct 2008 15:35:56 +0200

kfreebsd-7 (7.0-5) unstable; urgency=high

  * Fix amd64 swapgs local privilege escalation
    (FreeBSD-SA-08:07.amd64 / CVE-2008-3890).
  * Fix nmount(2) local arbitrary code execution
    (FreeBSD-SA-08:08.nmount / CVE-2008-3531).
  * Fix remote kernel panics on IPv6 connections
    (FreeBSD-SA-08:09.icmp6 /CVE-2008-3530).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Sep 2008 11:49:44 +0200

kfreebsd-7 (7.0-4) unstable; urgency=medium

  [ Petr Salinger ]
  * Fix subsecond timestamp resolution handling for *times(arg, NULL)
    syscall family. Exposed by touch. Closes: #489894.

  [ Aurelien Jarno ]
  * Build by gcc-4.3

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 10 Jul 2008 11:11:11 +0200

kfreebsd-7 (7.0-3) unstable; urgency=medium

  * Fix tcp options padding (FreeBSD-EN-08:02.tcp).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 24 Jun 2008 10:44:25 +0200

kfreebsd-7 (7.0-2) unstable; urgency=low

  * 030_abi_cld.diff: new patch to clear the direction flag before calling
    a signal handler (Closes: bug#469565).
  * Fix debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 06 Mar 2008 01:17:26 +0100

kfreebsd-7 (7.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_0_0_RELEASE)
     - update of some patches

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Feb 2008 21:10:03 +0100

kfreebsd-7 (7.0~cvs20080107-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream snapshot (RELENG_7_0)
  * Disable non-free "hptrr" driver - another Highpoint RocketRAID

  [ Aurelien Jarno ]
  * Refresh all patches.
  * Bumped Standards-Version to 3.7.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Jan 2008 11:48:14 +0100

kfreebsd-7 (7.0~cvs20071209-1) experimental; urgency=low

  [ Petr Salinger ]
  * New upstream snapshot of RELENG_7
     - update of some patches
  * Reorder freebsd6-buildutils and freebsd7-buildutils in Build-Depends
  * Add build-dependency on quilt, and use quilt in debian/rules
  * arch/i386/586.config and arch/i386/586-smp.config: also support i686 CPU.
  * Changed building rules to be correctly buildable with current binutils
     - add 020_linker.diff and gen-ld-u-options
     - extend 912_binutils.diff

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Dec 2007 00:41:25 +0100

kfreebsd-7 (7.0~cvs20071023-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * Initial upload to experimental.

  [ Petr Salinger ]
  * New upstream snapshot of RELENG_7
     - refresh of some patches
  * Restrict some Build-Depends only for kfreebsd architectures

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 23 Oct 2007 17:20:02 +0200

kfreebsd-7 (7.0~cvs20070710-1) unreleased; urgency=low

  [ Petr Salinger ]
  * New upstream snapshot of HEAD
     - drop 000_* patches (already in upstream)
     - drop obsolete 005_grow_arg_max patch
     - update of some remaining patches
  * Disable GPL incompatible "zfs"
  * Build by gcc-4.2

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 Jul 2007 07:22:03 +0200

kfreebsd-6 (6.2-3) unreleased; urgency=low

  * debian/rules:
    - add support for ~ in the version number.
    - remove the hack for preliminar snapshots.
    - bumped abiname to 1

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 Jul 2007 05:12:02 +0200

kfreebsd-6 (6.2-2) unreleased; urgency=low

  * Fix a possible DoS using IPv6 Routing Header 0 (FreeBSD-SA-07:03.ipv6
    / CVE-2007-2242).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 May 2007 16:05:58 +0200

kfreebsd-6 (6.2-1) unreleased; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_6_2_0_RELEASE)
     - drop obsolete 000_kmem, 000_net, 000_ppp, 000_smbfs,
                     002_glibc_dev_isp, 006_proc_mounts patches
     - update 009_disable_duped_modules,
              903_disable_non-free_drivers,
              999_config patches

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  4 Jan 2007 21:56:16 +0100

kfreebsd-6 (6.1-4) unreleased; urgency=low

  [ Petr Salinger ]
  * restrict renaming of ld.so only for native FreeBSD libc

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  4 Jan 2007 21:56:16 +0100

kfreebsd-6 (6.1-3) unreleassed; urgency=low

  * Remove the CVS/ directory from kfreebsd-source-6.
  * Change the linker script from from elf64-x86-64 to elf64-x86-64-freebsd.

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  2 Jan 2007 00:37:24 +0100

kfreebsd-6 (6.1-2) unreleased; urgency=low

  * Remove kldutils from the dependencies alternatives.
  * Remove kfreebsd-common from the dependencies now that module-init-tools
    does the job, and bump the dependency on module-init-tools to (>= 6.1-6).
  * Create a /boot/kernel/ directory.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  1 Jan 2007 23:15:59 +0100

kfreebsd-6 (6.1-1) unreleased; urgency=low

  * Urgency set to high as this fixes a security bug.
  * Fix a memory disclosure in firewire (FreeBSD-SA-06:25.kmem
    / CVE-2006-6013).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 11 Dec 2006 11:34:26 +0100

kfreebsd-6 (6.1-0.4) unreleased; urgency=low

  * Backport the NVIDIA nForce MCP Ethernet driver from FREEBSD-7.0.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  3 Nov 2006 18:23:17 +0100

kfreebsd-6 (6.1-0.3) unreleased; urgency=low

  * Relax the conflict with kfreebsd-loader to (<< 5.4-1.3).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Oct 2006 16:19:38 +0200

kfreebsd-6 (6.1-0.2) unreleased; urgency=low

  [ Aurelien Jarno ]
  * patches/999_config.diff: remove COMPAT_LINUX from amd64.
  * Make the images conflict with kfreebsd-loader (<< 5.4-3).

  [ Petr Salinger ]
  * Fix buffer overflow in sppp (FreeBSD-SA-06:08.ppp / CVE-2006-4304).
  * Fix networking issues (FreeBSD-EN-06:02.net).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 10 Oct 2006 11:47:04 +0200

kfreebsd-6 (6.1-0.1) unreleased; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_6_1_0_RELEASE)
     - drop 000_* patches (already in upstream)
     - rework 010_ET_DYN.diff
     - update remaining patches (with great help from quilt)
     - add 018_genassym_MAXCPU.diff
  * Fix smbfs chroot escape (FreeBSD-SA-06:16.smbfs / CVE-2006-2654).
  * Re-enable hwpmc driver
  * Disable non-free "rr232x" driver - another Highpoint RocketRAID
  * Do not load directly executed shared library (e.g. ld.so) at base addr 0

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 Jul 2006 00:58:48 +0200

kfreebsd-6 (6.0-0.4) unreleased; urgency=low

  * Re-enable atapi{fd,st}, ppc and psm, since they aren't being built
    as modules (Oh my god! My mouse, printer and/or ultra-weird storage device
    stopped working!).
  * Fix broken perms (644) in module dir.

 -- Robert Millan <rmh@aybabtu.com>  Fri, 28 Apr 2006 15:47:45 +0200

kfreebsd-6 (6.0-0.3) unreleased; urgency=low

  * Finaly, multiple kernels can coexist on your system!
    - Disable /boot/loader.conf (provided in kfreebsd-loader now).
    - Get rid of /boot/device.hints (now embedded in kernel image).
    - Move modules to /lib/modules/@RELEASE@.
    - Move kernel image to /boot/kfreebsd-@RELEASE@.
  * patches/999_config.diff: Refurbish.  Now builds linprocfs/linux into
    the kernel (since it's always used), and removes a bunch of non-
    essential stuff (use kfreebsd-common to load them as modules).
    Network and storage drivers _are_ still present (untill we port
    hotplug/discover).  On -486, this saves 544 KB in kernel.gz.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 27 Apr 2006 18:56:22 +0200

kfreebsd-6 (6.0-0.2) unreleased; urgency=low

  * First "normal" upload to unreleased.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 26 Apr 2006 14:55:28 +0200

kfreebsd-6 (6.0-0.1) unreleased; urgency=low

  [ Robert Edmonds ]
  * New upstream version pulled from RELENG_6 CVSup.
    - ReiserFS support.  (Closes: #335019)
  * Disabled the non-compiling hwpmc driver.

  [ Robert Millan ]
  * Merge 5.x branch changes (from rev 654 to rev 1058)
  * Add src/usr.sbin/config into the source and build/use it dynamicaly.
  * Fix IEEE 802.11 buffer overflow (FreeBSD-SA-06:05.80211 / CVE-2006-0226).
  * Fix local kernel memory disclosure (FreeBSD-SA-06:06.kmem / CVE-2006-0379
    / CVE-2006-0380).
  * Fix IP fragment handling panic in pf (FreeBSD-SA-06:07.pf / CVE-2006-0381).
  * Disable "nve" driver.
    - copyright: Add nve to list of non-free components.
    - patches/903_disable_non-free_drivers.diff: Disable nve.
    - arch/i386/486.config: Ditto.
  * control.in:
    - (Build-Depends-Indep): Remove patchutils and sharutils (not really
    needed).
    - (Build-Depends): Ditto.  Also update libdb4.4-dev.
    - (Replaces): Remove kfreebsd@major@-source (it never existed for 6.x).
  * rules: When obtaining major/version numbers, if this is a preliminar
    snapshot (e.g. 6.99+20060217), pretend this is the actual release.
  * autopatch.sh: Merge into rules.  This allows us to use $(major) instead
    of a hardcoded number.
  * patches/001_misc.diff: Make this patch more upstream-friendly.
  * Fix /dev permissions in userland.
    - control.flavor.in (Depends): Add kfreebsd-common.
    - patches/900_devfs_perm_fixes.diff: Remove.
  * rules: Run patch with --dry-run first.  This way if a patch fails
    the tree isn't left in an inconsistent state.
  * Add ndiswrapper-modules package.
    - rules: Install ndis.ko and if_ndis.ko there.
    - control.flavor.in: Add ndiswrapper-modules flavor.
  * AMD64 support.
    - patches/*.diff: Add amd64-specific hunks for patches that hack i386 files.
    - arch/amd64/amd64-generic.config: New.  Generic x86_64 config.
    - arch/amd64/amd64-k8.config: New.  K8 config.
    - arch/amd64/amd64-k8-smp.config: New.  K8 SMP config.
    - arch/amd64/em64t-p4.config: New.  P4 config.
    - arch/amd64/em64t-p4-smp.config: New.  P4 SMP config.
    - patches/binutils.diff: Add binutils fixes for amd64 code.
    - rules: Replace all "dh_* -a" with "dh_* -s".  -a should NEVER be used.
      See debhelper(7).
  * Simplify/refurbish kernel config files by using the "include" command.
    - patches/999_config.diff: New.  Incorporate common changes in GENERIC.
    - debian/rules: Copy all our config files into the tree, then symlink.
    - debian/arch/*/*.config: Refurbish.
  * Upstream now builds with "-O2 -frename-registers" so let's do that
    as well.
    - arch/*/*.config
  * Disable build of modules that are already part of the kernel image.
    This gives the .deb a size loss of ~1600 KB (~4 MB once installed).
    - patches/009_disable_duped_modules.diff
  * Build 486 and 586* flavors with -Os.  This saves 400 KB, out of
    which 240 KB are in kernel.gz.  Rationale:
    - 486 tiny flavor is needed for d-i.
    - On old hardware, your amount of memory is likely to be utter crap.  So
    this is preferable to -O2 no matter the benchmarks.

  [ Aurelien Jarno ]
  * Fix a remote denial of service in NFS server (FreeBSD-SA-06:10.nfs /
    CVE-2006-0900).
  * Fix an IPsec replay attack vulnerability (FreeBSD-SA-06:11.ipsec /
    CVE-2006-0905).
  * Fix an FPU information disclosure on AMD processors (FreeBSD-SA-06:14.fpu /
    CVE-2006-1056).

 -- Robert Millan <rmh@aybabtu.com>  Wed, 26 Apr 2006 12:06:11 +0200

kfreebsd-5 (5.3-6) unstable; urgency=low

  * Changed SCSI_DELAY to 2000. Users that need a longer time could
    change this value in /boot/loader.conf (closes: bug#323155).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 29 Aug 2005 14:25:44 +0200

kfreebsd-5 (5.3-5) unstable; urgency=low

  * Enabled atapicam driver (closes: bug#323155).
  * Allow the kernel to execve ET_DYN files.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Aug 2005 15:44:18 +0200

kfreebsd-5 (5.3-4) unstable; urgency=low

  * Added OSS_GETVERSION ioctl. Patch from Robert Millan (closes:
    bug#322197)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Aug 2005 00:56:00 +0200

kfreebsd-5 (5.3-3) unstable; urgency=low

  * Fixed the generation of the preinst script.

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  6 Aug 2005 05:47:11 +0200

kfreebsd-5 (5.3-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Provide the kernel sources as /usr/src/kfreebsd-source-5.3.tar.bz2
  * Change the owner of the files inside kfreebsd-source-5.3.tar.bz2 to
    root:src.
  * Build a binary package kfreebsd-image-5.3 containing the kernel.
  * Build a binary package kfreebsd-headers-5.3 containing the headers.
  * Don't create kfreebsd.gz in postinst.
  * Make the kfreebsd-source-5.3 buildable on non GNU/kFreeBSD systems.
  * Added an abiname field.

  [ Guillem Jover ]
  * debian/rules:
    - Use DEB_HOST_ARCH_CPU instead if DEB_HOST_GNU_CPU, fix amd64.
    - Use SRC_PACKAGE instead of the tarball name.
    - Use make -C option instead of "cd".
  * General indentation fixes.

  [ Robert Millan ]
  * Put some drivers as modules.

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  6 Aug 2005 00:09:57 +0200

kfreebsd-5 (5.3-1) unstable; urgency=low

  * Match linux kernel naming scheme:
    - Renamed source package to kfreebsd-5.
    - Renamed kfreebsd5-source to kfreebsd-source-5.
  * Fix ipsec vulnerability (FreeBSD-SA-05:19.ipsec /
  * CAN-2005-2359).
    - patches/017_ipsec.diff

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jul 2005 17:44:01 +0200

kfreebsd5-source (5.3-17) unstable; urgency=high

  * Fix devfs ruleset bypass (FreeBSD-SA-05:17.devfs / CAN-2005-2218).
    - patches/016_devfs.diff

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 20 Jul 2005 23:45:07 +0200

kfreebsd5-source (5.3-16) unstable; urgency=low

  * Fixed path of some patches.
  * Don't change the build-dependencies at build-time.
  * Bumped Standard-Version to 3.6.2.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  4 Jul 2005 01:18:41 +0200

kfreebsd5-source (5.3-15) unstable; urgency=low

  * Fix TCP denial of service (FreeBSD-SA-05:15.tcp / CAN-2005-0356).
    - patches/015_tcp_dos.diff: New.  Patch from upstream.

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  2 Jul 2005 15:29:27 +0200

kfreebsd5-source (5.3-14) unstable; urgency=low

  * Provides kfreebsd-source instead of kernel-source (closes: bug#312524).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 10 Jun 2005 07:23:46 +0200

kfreebsd5-source (5.3-13) unstable; urgency=low

  * Changed to a team maintained package.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  6 Jun 2005 01:45:36 +0200

kfreebsd5-source (5.3-12) unstable; urgency=low

  * New maintainer. Thanks to Robert Millan for his great job.
  * Added 014_ip_packed.diff to fix the build of MySQL on GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  3 Jun 2005 07:52:08 +0200

kfreebsd5-source (5.3-11) unstable; urgency=low

  * Workaround hyperthreading CPU bug (FreeBSD-SA-05:09.htt / CAN-2005-0109).
    - patches/013_hyperthreading_wa.diff: New.  Patch from upstream.

 -- Robert Millan <rmh@debian.org>  Fri, 27 May 2005 14:07:37 +0200

kfreebsd5-source (5.3-10) unstable; urgency=high

  * Fix permissions in /dev/iir (FreeBSD-SA-05:06.iir / CAN-2005-1399).
    - patches/010_iir_perms.diff:  New.  Patch from upstream.
  * Fix memory leak in i386_get_ldt (FreeBSD-SA-05:07.ldt / CAN-2005-1400).
    - patches/011_ldt_memleak.diff:  New.  Patch from upstream.
  * Fix generic memory leak (FreeBSD-SA-05:08.kmem / CAN-2005-1406).
    - patches/012_kmem_memleak.diff:  New.  Patch from upstream.

 -- Robert Millan <rmh@debian.org>  Mon,  9 May 2005 12:25:31 +0200

kfreebsd5-source (5.3-9) unstable; urgency=low

  * Fix memory leak in ifconf (FreeBSD-SA-05:04.ifconf / Closes: #304766).
    - patches/009_ifconf_memleak.diff:  New.  Patch from upstream.

 -- Robert Millan <rmh@debian.org>  Fri, 15 Apr 2005 12:59:58 +0200

kfreebsd5-source (5.3-8) unstable; urgency=low

  * First upload to Debian.  (Closes: #267447)

 -- Robert Millan <rmh@debian.org>  Thu,  7 Apr 2005 01:36:59 +0200

kfreebsd5-source (5.3-7) unreleased; urgency=low

  * Fix memory leak in sendfile (FreeBSD-SA-05:02.sendfile / CAN-2005-0708).
    - patches/008_sendfile_memleak.diff:  New.  Patch from upstream.

 -- Robert Millan <rmh@debian.org>  Tue,  5 Apr 2005 12:32:35 +0200

kfreebsd5-source (5.3-6) unreleased; urgency=low

  * control.in.in:  s/Build-Depends/&-Indep/g.
  * control.in.in (Section):  Set to "devel".

 -- Robert Millan <rmh@debian.org>  Wed, 23 Mar 2005 23:04:11 +0100

kfreebsd5-source (5.3-5) unreleased; urgency=low

  * patches/007_proc_mounts.diff:  New.  Rename /proc/mtab to /proc/mounts.

 -- Robert Millan <rmh@debian.org>  Sat,  5 Mar 2005 19:56:20 +0100

kfreebsd5-source (5.3-4) unreleased; urgency=low

  * rules:  Use patchsys to test patches on every build.

 -- Robert Millan <rmh@debian.org>  Wed,  2 Mar 2005 21:03:19 +0100

kfreebsd5-source (5.3-3) unreleased; urgency=low

  * Misc cleanup.
  * patches/007_cpu_class.diff:  New.  Detect i*86 subarches in uname.

 -- Robert Millan <rmh@debian.org>  Thu, 10 Feb 2005 15:25:58 +0100

kfreebsd5-source (5.3-2) unreleased; urgency=low

  * Grow Sysv IPC limits to reasonable values as advised in
    postgresql documentation (kernel-resources.html#SYSVIPC-PARAMETERS).
    - patches/906_grow_sysv_ipc_limits.diff

 -- Robert Millan <rmh@debian.org>  Tue,  1 Feb 2005 21:48:07 +0100

kfreebsd5-source (5.3-1) unreleased; urgency=low

  * Package split.  Version rebumped.

 -- Robert Millan <rmh@debian.org>  Tue, 25 Jan 2005 13:37:15 +0100

kfreebsd5 (5.3+1-1) unreleased; urgency=low

  * Add RTC (real time clock) driver implementation.
    - rtc.tar.gz:  New.
    - rules:  Build rtc.

 -- Robert Millan <rmh@debian.org>  Tue, 28 Dec 2004 19:33:00 +0100

kfreebsd5 (5.3-3) unreleased; urgency=low

  * Set DEB_STRIP_EXCLUDE=/boot to avoid module inter-dependency problems.

 -- Robert Millan <rmh@debian.org>  Mon, 27 Dec 2004 18:36:30 +0100

kfreebsd5 (5.3-2) unreleased; urgency=low

  * Fix memory leak in procfs (FreeBSD-SA-04:17.procfs / CAN-2004-1066).
    - patches/006_procfs_memleak.diff:  New.  Patch from upstream.

 -- Robert Millan <rmh@debian.org>  Thu,  2 Dec 2004 01:32:38 +0100

kfreebsd5 (5.3-1) unreleased; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Fri, 26 Nov 2004 00:42:22 +0100

kfreebsd5 (5.2.1-8) unreleased; urgency=low

  * Bunch of miscellaneous fixes in preparation of 6.x branch split.

 -- Robert Millan <rmh@debian.org>  Tue, 16 Nov 2004 17:13:46 +0100

kfreebsd5 (5.2.1-7) unreleased; urgency=low

  * Fix local memory leak vulnerability (FreeBSD-SA-04:15.syscons /
    CAN-2004-0919).
    - patches/000_syscons_vulnerability.diff: New.  Patch from upstream.
  * Fix wrong permissions in some device files.
    - patches/900_devfs_perm_fixes.diff: New.  Sync uids/gids of kernel devices
      with debian base-passwd ones.
  * Rename some patches to follow the guidelines in README.
    - README: New.
    - etc.
  * Use cdbs debian/control autogen feature.
    - control.in: Rename to control.in.in and set the @cdbs@ tag.
    - rules: Set DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes.
    - mk/build.mk (clean): Generate control.in from control.in.in.

 -- Robert Millan <rmh@debian.org>  Tue,  5 Oct 2004 00:58:50 +0200

kfreebsd5 (5.2.1-6) unreleased; urgency=low

  * Use type-handling to auto-generate kfreebsd-gnu architecture list for dpkg.
    - control.in
    - mk/build.mk
  * Ensure patches/003_config.diff contains a hunk for your CPU.
    - mk/build.mk
  * Drop Conflicts on makedev.
    - control.in
  * Grow ARG_MAX value to match with Linux' (Fixes FTBFS on a number of
    packages).
    - patches/016_grow_arg_max.diff: New.

 -- Robert Millan <rmh@debian.org>  Sat, 21 Aug 2004 18:35:01 +0200

kfreebsd5 (5.2.1-5) unreleased; urgency=low

  * patches/004_version.diff.in: New. Fix version information.
  * mk/build.mk: Regenerate 004_version.diff with current debian revision.

 -- Robert Millan <rmh@debian.org>  Sat, 17 Jul 2004 02:14:34 +0200

kfreebsd5 (5.2.1-4) unreleased; urgency=low

  * patches/015_dev_full.diff: New. Implement /dev/full.
  * control (Build-Depends): Allow flex as alternative for flex-old.

 -- Robert Millan <rmh@debian.org>  Mon, 12 Jul 2004 19:14:46 +0200

kfreebsd5 (5.2.1-3) unreleased; urgency=low

  * control: Make it an Essential package.

 -- Robert Millan <rmh@debian.org>  Tue,  6 Jul 2004 01:54:47 +0200

kfreebsd5 (5.2.1-2) unreleased; urgency=low

  * control (Build-Depends): Add flex-old.
  * control (Depends): Nuke kfreebsd-loader.
  * control (Conflicts): Add makedev.
  * mk/build.mk: Add /boot/kfreebsd.gz and dummy /sbin/fsck.cd9660.

 -- Robert Millan <rmh@debian.org>  Wed, 30 Jun 2004 19:25:58 +0200

kfreebsd5 (5.2.1-1) unreleased; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Tue,  4 May 2004 14:02:40 +0200

freebsd-kernel (5.1-1) unstable; urgency=low

  * New source package structure. Now build-depends on freebsd-source-5.1.
  * Switched to cdbs.
  * Updated to version 5.1

 -- Nathan Hawkins <utsl@debian.org>  Tue,  7 Oct 2003 12:43:36 -0500

freebsd-kernel (5.0-2) unstable; urgency=low

  * Set maintainer to glibc-bsd-devel@lists.alioth.debian.org
  * Added me to Uploaders.
  * Turn into non-native package.
  * Added missing package to Build-Depends (freebsd-gcc)

 -- Robert Millan <rmh@debian.org>  Fri, 11 Jul 2003 05:50:58 +0200

freebsd-kernel-5.0 (5.0-1) unstable; urgency=low

  * Initial release.

 -- Nathan Hawkins <utsl@debian.org>  Mon,  3 Jul 2003 13:12:00 -0400
